FROM centos:8
RUN \
yum install -y postgresql-server postgresql-contrib

USER postgres
RUN \
/bin/initdb -D /var/lib/pgsql/data && \
/usr/bin/pg_ctl start -D /var/lib/pgsql/data -s -o "-p 5432" -w -t 300 && \
/bin/psql --command "CREATE USER kong WITH PASSWORD 'kongpass' ;" &&\
/bin/psql --command "CREATE DATABASE kong OWNER kong ;" &&\
echo "host all  all    0.0.0.0/0  md5" >> /var/lib/pgsql/data/pg_hba.conf && \
echo "listen_addresses='*'" >> /var/lib/pgsql/data/postgresql.conf

CMD ["/bin/postgres", "-D", "/var/lib/pgsql/data", "-c", "config_file=/var/lib/pgsql/data/postgresql.conf"]
